Artist response schema

Artist response schema

Attributes

Name Type Description Example
data:id uuid artist id "3DKing"
data:type string entity type "artist"

Certification response schema

Certification response schema

Attributes

Name Type Description Example
data:id uuid certification id "checkmate_pro"
data:type string entity type "certification"
data:attributes:status string status of certification "certified"
data:attributes:queue_status nullable string status of certification queue "inspection"
data:attributes:queue_id nullable string id of certification queue "ABC123"

Common Schema Definitions

Common Schema Definitions

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "12345"
data:type string entity type "product"
data:attributes object attributes of the resource
data:links object hypermedia links for the product resource {"self":"https://api.turbosquid.com/products/105331"}
data:relationships object relations associated with the entity

Customer File response schema

Customer File response schema

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "11223344"
data:type string entity type "customer_file"
data:attributes:name string file name "FileName.zip"
data:attributes:size integer file size in bytes 73925224
data:attributes:description string description "customer description of file"

Draft response schema

Draft response schema

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "123456"
data:type string entity type "draft"
data:attributes:product_id uuid product id "12345"
data:attributes:name string name of entity "Ladybug"
data:attributes:price object draft price {"value":599,"currency":"USD","denominator":100}
data:attributes:product_type string type of media "model"
data:attributes:description string description of draft "This is the description of an example draft. It is probably longer than this."
data:attributes:status string status of product when draft is published "online"
data:attributes:license string license of product when draft is published "royalty_free_all_extended_uses"
data:attributes:tags array tags associated with entity ["test","example","keyword"]
data:attributes:animated boolean indicates if the product is animated true
data:attributes:geometry string type of geometry "polygonal"
data:attributes:materials boolean indicates if the product has materials true
data:attributes:polygons integer the number of polygons
Range: 0 <= value
100000
data:attributes:rigged boolean indicates if the product is rigged true
data:attributes:textures boolean indicates if the product is textured true
data:attributes:unwrapped_u_vs string type of unwrapped UVs "yes_non_overlapping"
data:attributes:uv_mapped boolean indicates if the product is UV mapped true
data:attributes:vertices integer the number of vertices
Range: 0 <= value
100000
data:attributes:updated_at date-time when entity was updated, in ISO 8601 format "2015-06-22T16:46:38Z"
data:links:self uri hypermedia link
data:relationships:artist:data:id uuid artist id "3DKing"
data:relationships:artist:data:type string entity type "artist"
data:relationships:files:data array [null]
data:relationships:previews:data array [null]
data:relationships:certifications:data array [null]
included array included objects wrapper [{"id":"3DKing","type":["artist"]},{"id":"11223344","type":["file"],"attributes":{"name":"ladybug.max","size":123456789,"file_format":"3ds Max ( .max )","format_version":"2012","renderer":"V-Ray","renderer_version":"3.00.08","is_native":true}},{"id":"11223345","type":["thumbnail"],"attributes":{}},{"id":"11223346","type":["turntable"],"attributes":{}}]

Draft response schema Info

Info for existing draft.

GET /drafts/{common_id}

Curl Example

$ curl -n https://api.turbosquid.com/drafts/$COMMON_ID \
  -H "Content-Type: application/vnd.api+json" \
  -H "Accept: application/vnd.api+json" \

Response Example

HTTP/1.1 200 OK
{
  "data": {
    "id": "123456",
    "type": "draft",
    "attributes": {
      "product_id": "12345",
      "name": "Ladybug",
      "price": {
        "value": 599,
        "currency": "USD",
        "denominator": 100
      },
      "product_type": "model",
      "description": "This is the description of an example draft. It is probably longer than this.",
      "status": "online",
      "license": "royalty_free_all_extended_uses",
      "tags": [
        "test",
        "example",
        "keyword"
      ],
      "animated": true,
      "geometry": "polygonal",
      "materials": true,
      "polygons": 100000,
      "rigged": true,
      "textures": true,
      "unwrapped_u_vs": "yes_non_overlapping",
      "uv_mapped": true,
      "vertices": 100000,
      "updated_at": "2015-06-22T16:46:38Z"
    },
    "links": {
      "self": "https://api.turbosquid.com/drafts/123456"
    },
    "relationships": {
      "artist": {
        "data": {
          "id": "myArtistName",
          "type": [
            "artist"
          ]
        }
      },
      "files": {
        "data": [
          {
            "id": "11223344",
            "type": [
              "product_file"
            ]
          }
        ]
      },
      "previews": {
        "data": [
          {
            "id": "11223345",
            "type": [
              "thumbnail"
            ]
          },
          {
            "id": "11223346",
            "type": [
              "turntable"
            ]
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "3DKing",
      "type": [
        "artist"
      ]
    },
    {
      "id": "11223344",
      "type": [
        "file"
      ],
      "attributes": {
        "name": "ladybug.max",
        "size": 123456789,
        "file_format": "3ds Max ( .max )",
        "format_version": "2012",
        "renderer": "V-Ray",
        "renderer_version": "3.00.08",
        "is_native": true
      }
    },
    {
      "id": "11223345",
      "type": [
        "thumbnail"
      ],
      "attributes": {
      }
    },
    {
      "id": "11223346",
      "type": [
        "turntable"
      ],
      "attributes": {
      }
    }
  ]
}

Draft response schema New Draft

Create new draft.

POST /drafts

Optional Parameters

Name Type Description Example
data:type string entity type "draft"
data:attributes:product_id uuid product id "12345"
data:attributes:name string name of entity "Ladybug"
data:attributes:price object draft price {"value":599,"currency":"USD","denominator":100}
data:attributes:product_type string type of media "model"
data:attributes:description string description of draft "This is the description of an example draft. It is probably longer than this."
data:attributes:status string status of product when draft is published "online"
data:attributes:tags array tags associated with entity ["test","example","keyword"]
data:attributes:animated boolean indicates if the product is animated true
data:attributes:geometry string type of geometry "polygonal"
data:attributes:materials boolean indicates if the product has materials true
data:attributes:polygons integer the number of polygons
Range: 0 <= value
100000
data:attributes:rigged boolean indicates if the product is rigged true
data:attributes:textures boolean indicates if the product is textured true
data:attributes:unwrapped_u_vs string type of unwrapped UVs "yes_non_overlapping"
data:attributes:uv_mapped boolean indicates if the product is UV mapped true
data:attributes:vertices integer the number of vertices
Range: 0 <= value
100000
data:relationships:artist:data:id uuid artist id "3DKing"
data:relationships:artist:data:type string entity type "artist"
data:relationships:files:data array [null]
data:relationships:previews:data array [null]
data:relationships:certifications:data array [null]

Curl Example

$ curl -n -X POST https://api.turbosquid.com/drafts \
  -H "Content-Type: application/vnd.api+json" \
  -H "Accept: application/vnd.api+json" \
 \
  -d '{
  "data": {
    "type": "draft",
    "attributes": {
      "product_id": "12345",
      "name": "Ladybug",
      "price": {
        "value": 599,
        "currency": "USD",
        "denominator": 100
      },
      "product_type": "model",
      "description": "This is the description of an example draft. It is probably longer than this.",
      "status": "online",
      "tags": [
        "test",
        "example",
        "keyword"
      ],
      "animated": true,
      "geometry": "polygonal",
      "materials": true,
      "polygons": 100000,
      "rigged": true,
      "textures": true,
      "unwrapped_u_vs": "yes_non_overlapping",
      "uv_mapped": true,
      "vertices": 100000
    },
    "relationships": {
      "artist": {
        "data": {
          "id": "myArtistName",
          "type": [
            "artist"
          ]
        }
      },
      "files": {
        "data": [
          {
            "id": "11223344",
            "type": [
              "product_file"
            ]
          }
        ]
      },
      "previews": {
        "data": [
          {
            "id": "11223345",
            "type": [
              "thumbnail"
            ]
          },
          {
            "id": "11223346",
            "type": [
              "turntable"
            ]
          }
        ]
      }
    }
  }
}'

Response Example

HTTP/1.1 201 Created
{
  "data": {
    "id": "123456",
    "type": "draft",
    "attributes": {
      "product_id": "12345",
      "name": "Ladybug",
      "price": {
        "value": 599,
        "currency": "USD",
        "denominator": 100
      },
      "product_type": "model",
      "description": "This is the description of an example draft. It is probably longer than this.",
      "status": "online",
      "license": "royalty_free_all_extended_uses",
      "tags": [
        "test",
        "example",
        "keyword"
      ],
      "animated": true,
      "geometry": "polygonal",
      "materials": true,
      "polygons": 100000,
      "rigged": true,
      "textures": true,
      "unwrapped_u_vs": "yes_non_overlapping",
      "uv_mapped": true,
      "vertices": 100000,
      "updated_at": "2015-06-22T16:46:38Z"
    },
    "links": {
      "self": "https://api.turbosquid.com/drafts/123456"
    },
    "relationships": {
      "artist": {
        "data": {
          "id": "myArtistName",
          "type": [
            "artist"
          ]
        }
      },
      "files": {
        "data": [
          {
            "id": "11223344",
            "type": [
              "product_file"
            ]
          }
        ]
      },
      "previews": {
        "data": [
          {
            "id": "11223345",
            "type": [
              "thumbnail"
            ]
          },
          {
            "id": "11223346",
            "type": [
              "turntable"
            ]
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "3DKing",
      "type": [
        "artist"
      ]
    },
    {
      "id": "11223344",
      "type": [
        "file"
      ],
      "attributes": {
        "name": "ladybug.max",
        "size": 123456789,
        "file_format": "3ds Max ( .max )",
        "format_version": "2012",
        "renderer": "V-Ray",
        "renderer_version": "3.00.08",
        "is_native": true
      }
    },
    {
      "id": "11223345",
      "type": [
        "thumbnail"
      ],
      "attributes": {
      }
    },
    {
      "id": "11223346",
      "type": [
        "turntable"
      ],
      "attributes": {
      }
    }
  ]
}

Draft response schema Update Draft

Update existing draft.

PATCH /drafts/{common_id}

Optional Parameters

Name Type Description Example
data:id uuid draft id "123456"
data:type string entity type "draft"
data:attributes:product_id uuid product id "12345"
data:attributes:name string name of entity "Ladybug"
data:attributes:price object draft price {"value":599,"currency":"USD","denominator":100}
data:attributes:product_type string type of media "model"
data:attributes:description string description of draft "This is the description of an example draft. It is probably longer than this."
data:attributes:status string status of product when draft is published "online"
data:attributes:tags array tags associated with entity ["test","example","keyword"]
data:attributes:animated boolean indicates if the product is animated true
data:attributes:geometry string type of geometry "polygonal"
data:attributes:materials boolean indicates if the product has materials true
data:attributes:polygons integer the number of polygons
Range: 0 <= value
100000
data:attributes:rigged boolean indicates if the product is rigged true
data:attributes:textures boolean indicates if the product is textured true
data:attributes:unwrapped_u_vs string type of unwrapped UVs "yes_non_overlapping"
data:attributes:uv_mapped boolean indicates if the product is UV mapped true
data:attributes:vertices integer the number of vertices
Range: 0 <= value
100000
data:relationships:artist:data:id uuid artist id "3DKing"
data:relationships:artist:data:type string entity type "artist"
data:relationships:files:data array [null]
data:relationships:previews:data array [null]
data:relationships:certifications:data array [null]

Curl Example

$ curl -n -X PATCH https://api.turbosquid.com/drafts/$COMMON_ID \
  -H "Content-Type: application/vnd.api+json" \
  -H "Accept: application/vnd.api+json" \
 \
  -d '{
  "data": {
    "id": "123456",
    "type": "draft",
    "attributes": {
      "product_id": "12345",
      "name": "Ladybug",
      "price": {
        "value": 599,
        "currency": "USD",
        "denominator": 100
      },
      "product_type": "model",
      "description": "This is the description of an example draft. It is probably longer than this.",
      "status": "online",
      "tags": [
        "test",
        "example",
        "keyword"
      ],
      "animated": true,
      "geometry": "polygonal",
      "materials": true,
      "polygons": 100000,
      "rigged": true,
      "textures": true,
      "unwrapped_u_vs": "yes_non_overlapping",
      "uv_mapped": true,
      "vertices": 100000
    },
    "relationships": {
      "artist": {
        "data": {
          "id": "myArtistName",
          "type": [
            "artist"
          ]
        }
      },
      "files": {
        "data": [
          {
            "id": "11223344",
            "type": [
              "product_file"
            ]
          }
        ]
      },
      "previews": {
        "data": [
          {
            "id": "11223345",
            "type": [
              "thumbnail"
            ]
          },
          {
            "id": "11223346",
            "type": [
              "turntable"
            ]
          }
        ]
      }
    }
  }
}'

Response Example

HTTP/1.1 200 OK
{
  "data": {
    "id": "123456",
    "type": "draft",
    "attributes": {
      "product_id": "12345",
      "name": "Ladybug",
      "price": {
        "value": 599,
        "currency": "USD",
        "denominator": 100
      },
      "product_type": "model",
      "description": "This is the description of an example draft. It is probably longer than this.",
      "status": "online",
      "license": "royalty_free_all_extended_uses",
      "tags": [
        "test",
        "example",
        "keyword"
      ],
      "animated": true,
      "geometry": "polygonal",
      "materials": true,
      "polygons": 100000,
      "rigged": true,
      "textures": true,
      "unwrapped_u_vs": "yes_non_overlapping",
      "uv_mapped": true,
      "vertices": 100000,
      "updated_at": "2015-06-22T16:46:38Z"
    },
    "links": {
      "self": "https://api.turbosquid.com/drafts/123456"
    },
    "relationships": {
      "artist": {
        "data": {
          "id": "myArtistName",
          "type": [
            "artist"
          ]
        }
      },
      "files": {
        "data": [
          {
            "id": "11223344",
            "type": [
              "product_file"
            ]
          }
        ]
      },
      "previews": {
        "data": [
          {
            "id": "11223345",
            "type": [
              "thumbnail"
            ]
          },
          {
            "id": "11223346",
            "type": [
              "turntable"
            ]
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "3DKing",
      "type": [
        "artist"
      ]
    },
    {
      "id": "11223344",
      "type": [
        "file"
      ],
      "attributes": {
        "name": "ladybug.max",
        "size": 123456789,
        "file_format": "3ds Max ( .max )",
        "format_version": "2012",
        "renderer": "V-Ray",
        "renderer_version": "3.00.08",
        "is_native": true
      }
    },
    {
      "id": "11223345",
      "type": [
        "thumbnail"
      ],
      "attributes": {
      }
    },
    {
      "id": "11223346",
      "type": [
        "turntable"
      ],
      "attributes": {
      }
    }
  ]
}

Draft response schema Publish Draft

Publishes draft into a Product

POST /drafts/{common_id}/publish

Optional Parameters

Name Type Description Example
data:id uuid draft id "123456"
data:type string entity type "draft"

Curl Example

$ curl -n -X POST https://api.turbosquid.com/drafts/$COMMON_ID/publish \
  -H "Content-Type: application/json" \
 \
  -d '{
  "data": {
    "id": "123456",
    "type": "draft"
  }
}'

Response Example

HTTP/1.1 200 OK
[
  {
    "data": {
      "id": "123456",
      "type": "draft",
      "attributes": {
        "product_id": "12345",
        "name": "Ladybug",
        "price": {
          "value": 599,
          "currency": "USD",
          "denominator": 100
        },
        "product_type": "model",
        "description": "This is the description of an example draft. It is probably longer than this.",
        "status": "online",
        "license": "royalty_free_all_extended_uses",
        "tags": [
          "test",
          "example",
          "keyword"
        ],
        "animated": true,
        "geometry": "polygonal",
        "materials": true,
        "polygons": 100000,
        "rigged": true,
        "textures": true,
        "unwrapped_u_vs": "yes_non_overlapping",
        "uv_mapped": true,
        "vertices": 100000,
        "updated_at": "2015-06-22T16:46:38Z"
      },
      "links": {
        "self": "https://api.turbosquid.com/drafts/123456"
      },
      "relationships": {
        "artist": {
          "data": {
            "id": "myArtistName",
            "type": [
              "artist"
            ]
          }
        },
        "files": {
          "data": [
            {
              "id": "11223344",
              "type": [
                "product_file"
              ]
            }
          ]
        },
        "previews": {
          "data": [
            {
              "id": "11223345",
              "type": [
                "thumbnail"
              ]
            },
            {
              "id": "11223346",
              "type": [
                "turntable"
              ]
            }
          ]
        }
      }
    },
    "included": [
      {
        "id": "3DKing",
        "type": [
          "artist"
        ]
      },
      {
        "id": "11223344",
        "type": [
          "file"
        ],
        "attributes": {
          "name": "ladybug.max",
          "size": 123456789,
          "file_format": "3ds Max ( .max )",
          "format_version": "2012",
          "renderer": "V-Ray",
          "renderer_version": "3.00.08",
          "is_native": true
        }
      },
      {
        "id": "11223345",
        "type": [
          "thumbnail"
        ],
        "attributes": {
        }
      },
      {
        "id": "11223346",
        "type": [
          "turntable"
        ],
        "attributes": {
        }
      }
    ]
  }
]

File Format response schema

File Format response schema

Attributes

Name Type Description Example
data:id uuid file_format id "3ds_max"
data:type string entity type "file_format"
data:attributes:name string file format name "3ds Max"
data:attributes:native boolean whether the file format be native true
data:attributes:certifiable boolean whether the file format be certified true
data:attributes:extensions array file format extensions ["max"]
data:relationships:artist:data:id uuid artist id "3DKing"
data:relationships:artist:data:type string entity type "artist"
data:relationships:files:data array [null]
data:relationships:previews:data array [null]
data:relationships:draft string jsonapi empty node or jsonapi relationship node
data:relationships:certifications:data array [null]
included array included objects wrapper [{"id":"3d_models","type":["media_type"],"attributes":{"name":"3D Models"}},{"id":"vray","type":["renderer"],"attributes":{"name":"V-Ray"}}]

Media Type response schema

Media Type response schema

Attributes

Name Type Description Example
data:id uuid media type id "3d_models"
data:type string entity type "media_type"
data:attributes:name string media type name "3D Models"

Product response schema

Product response schema

Attributes

Name Type Description Example
data:id uuid product id "12345"
data:type string entity type "product"
data:attributes:name string name of product "My Product"
data:attributes:price object product price {"value":599,"currency":"USD","denominator":100}
data:attributes:product_type string type of product "model"
data:attributes:description string description of product "This is the description of an example product. It is probably longer than this."
data:attributes:status string status of product "online"
data:attributes:license string license of product "royalty_free_all_extended_uses"
data:attributes:tags array tags associated with product ["test","example","keyword"]
data:attributes:animated boolean indicates if the product is animated true
data:attributes:geometry string type of geometry "polygonal"
data:attributes:materials boolean indicates if the product has materials true
data:attributes:polygons integer the number of polygons
Range: 0 <= value
100000
data:attributes:rigged boolean indicates if the product is rigged true
data:attributes:textures boolean indicates if the product is textured true
data:attributes:unwrapped_u_vs string type of unwrapped UVs "yes_non_overlapping"
data:attributes:uv_mapped boolean indicates if the product is UV mapped true
data:attributes:vertices integer the number of vertices
Range: 0 <= value
100000
data:attributes:created_at date-time when entity was created, in IS0 8601 format "2015-06-22T16:46:38Z"
data:attributes:updated_at date-time when entity was created, in IS0 8601 format "2015-06-22T16:46:38Z"
data:links:self uri hypermedia link
data:relationships:artist:data:id uuid artist id "3DKing"
data:relationships:artist:data:type string entity type "artist"
data:relationships:files:data array [null]
data:relationships:previews:data array [null]
data:relationships:draft string jsonapi empty node or jsonapi relationship node
data:relationships:certifications:data array [null]
included array included objects wrapper [{"id":"3DKing","type":["artist"]},{"id":"11223344","type":["file"],"attributes":{"name":"ladybug.max","size":123456789,"file_format":"3ds Max ( .max )","format_version":"2012","renderer":"V-Ray","renderer_version":"3.00.08","is_native":true}},{"id":"11223345","type":["thumbnail"],"attributes":{}},{"id":"11223346","type":["turntable"],"relationships":{"thumbnails":{"data":[{"id":"654321","type":["thumbnail"]},{"id":"654322","type":["thumbnail"]},{"id":"654323","type":["thumbnail"]},{"id":"654324","type":["thumbnail"]}]}}},{"id":"654321","type":["thumbnail"],"attributes":{}},{"id":"654322","type":["thumbnail"],"attributes":{}},{"id":"654323","type":["thumbnail"],"attributes":{}},{"id":"654324","type":["thumbnail"],"attributes":{}}]

Product response schema Info

Info for existing product.

GET /products/{common_id}

Curl Example

$ curl -n https://api.turbosquid.com/products/$COMMON_ID \
  -H "Content-Type: application/vnd.api+json" \
  -H "Accept: application/vnd.api+json" \

Response Example

HTTP/1.1 200 OK
{
  "data": {
    "id": "12345",
    "type": "product",
    "attributes": {
      "name": "My Product",
      "price": {
        "value": 599,
        "currency": "USD",
        "denominator": 100
      },
      "product_type": "model",
      "description": "This is the description of an example product. It is probably longer than this.",
      "status": "online",
      "license": "royalty_free_all_extended_uses",
      "tags": [
        "test",
        "example",
        "keyword"
      ],
      "animated": true,
      "geometry": "polygonal",
      "materials": true,
      "polygons": 100000,
      "rigged": true,
      "textures": true,
      "unwrapped_u_vs": "yes_non_overlapping",
      "uv_mapped": true,
      "vertices": 100000,
      "created_at": "2015-06-22T16:46:38Z",
      "updated_at": "2015-06-22T16:46:38Z"
    },
    "links": {
      "self": "https://api.turbosquid.com/products/123456"
    },
    "relationships": {
      "artist": {
        "data": {
          "id": "3DKing",
          "type": "artist"
        }
      },
      "files": {
        "data": [
          {
            "id": "11223345",
            "type": [
              "product_file"
            ]
          },
          {
            "id": "11223346",
            "type": [
              "texture_file"
            ]
          },
          {
            "id": "11223347",
            "type": [
              "customer_file"
            ]
          },
          {
            "id": "11223348",
            "type": [
              "promotional_file"
            ]
          }
        ]
      },
      "previews": {
        "data": [
          {
            "id": "11223345",
            "type": [
              "thumbnail"
            ]
          },
          {
            "id": "11223346",
            "type": [
              "turntable"
            ]
          }
        ]
      },
      "draft": {
        "data": null
      },
      "certifications": {
        "data": [
          null
        ]
      }
    }
  },
  "included": [
    {
      "id": "3DKing",
      "type": [
        "artist"
      ]
    },
    {
      "id": "11223344",
      "type": [
        "file"
      ],
      "attributes": {
        "name": "ladybug.max",
        "size": 123456789,
        "file_format": "3ds Max ( .max )",
        "format_version": "2012",
        "renderer": "V-Ray",
        "renderer_version": "3.00.08",
        "is_native": true
      }
    },
    {
      "id": "11223345",
      "type": [
        "thumbnail"
      ],
      "attributes": {
      }
    },
    {
      "id": "11223346",
      "type": [
        "turntable"
      ],
      "relationships": {
        "thumbnails": {
          "data": [
            {
              "id": "654321",
              "type": [
                "thumbnail"
              ]
            },
            {
              "id": "654322",
              "type": [
                "thumbnail"
              ]
            },
            {
              "id": "654323",
              "type": [
                "thumbnail"
              ]
            },
            {
              "id": "654324",
              "type": [
                "thumbnail"
              ]
            }
          ]
        }
      }
    },
    {
      "id": "654321",
      "type": [
        "thumbnail"
      ],
      "attributes": {
      }
    },
    {
      "id": "654322",
      "type": [
        "thumbnail"
      ],
      "attributes": {
      }
    },
    {
      "id": "654323",
      "type": [
        "thumbnail"
      ],
      "attributes": {
      }
    },
    {
      "id": "654324",
      "type": [
        "thumbnail"
      ],
      "attributes": {
      }
    }
  ]
}

Product File response schema

Product File response schema

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "11223344"
data:type string entity type "product_file"
data:attributes:name string file name "FileName.zip"
data:attributes:size integer file size in bytes 73925224
data:attributes:file_format string file format "3ds_max"
data:attributes:format_version string file format version "2012"
data:attributes:renderer nullable string renderer used on file "vray"
data:attributes:renderer_version string renderer version "3.00.08"
data:attributes:is_native boolean native modeled file true

Promotional File response schema

Promotional File response schema

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "11223344"
data:type string entity type "promotional_file"
data:attributes:name string file name "FileName.zip"
data:attributes:size integer file size in bytes 73925224
data:attributes:description string description "customer description of file"

Renderer response schema

Renderer response schema

Attributes

Name Type Description Example
data:id uuid renderer id "vray"
data:type string entity type "renderer"
data:attributes:name string renderer name "V-Ray"

Texture File response schema

Texture File response schema

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "11223344"
data:type string entity type "texture_file"
data:attributes:name string file name "FileName.zip"
data:attributes:size integer file size in bytes 73925224
data:attributes:description string description "customer description of file"

Thumbnail response schema

Thumbnail response schema

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "11223345"
data:type string entity type "thumbnail"
data:attributes:filename string name of file "MyThumbnail.jpg"
data:attributes:thumbnail_type string type of thumbnail "signature"
data:attributes:watermarked boolean is thumbnail watermarked "false"
data:attributes:url_64 nullable string path to 64x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cSmall.jpg"
data:attributes:url_90 nullable string path to 90x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cPetite.jpg"
data:attributes:url_128 nullable string path to 128x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cMedium.jpg"
data:attributes:url_200 nullable string path to 200x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cRes200.jpg"
data:attributes:url_600 nullable string path to 600x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cLarge.jpg"
data:attributes:url_1480 nullable string path to 1480x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cDefault.jpg"
data:attributes:url_1480_hq nullable string path to 1480x max high quality resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cDefaultHQ.jpg"
data:attributes:url_zoom nullable string path to zoom resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cZoom.jpg"
data:attributes:source_width nullable integer width of source image "1200"
data:attributes:source_height nullable integer height of source image "800"
data:attributes:search_background nullable boolean whether background of thumbnail is the search color "true"

Turntable response schema

Turntable response schema

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "12345"
data:type string entity type "turntable"
data:attributes:filename string name of file "MyThumbnail.jpg"
data:attributes:thumbnail_type string type of thumbnail "signature"
data:attributes:watermarked boolean is thumbnail watermarked "false"
data:attributes:url_64 nullable string path to 64x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cSmall.jpg"
data:attributes:url_90 nullable string path to 90x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cPetite.jpg"
data:attributes:url_128 nullable string path to 128x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cMedium.jpg"
data:attributes:url_200 nullable string path to 200x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cRes200.jpg"
data:attributes:url_600 nullable string path to 600x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cLarge.jpg"
data:attributes:url_1480 nullable string path to 1480x max resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cDefault.jpg"
data:attributes:url_1480_hq nullable string path to 1480x max high quality resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cDefaultHQ.jpg"
data:attributes:url_zoom nullable string path to zoom resolution thumbnail "2012/01/01__01_01_00/MyThumbnail.jpg14ddab9c-b746-4311-9fbd-c28bb31b1a6cZoom.jpg"
data:attributes:source_width nullable integer width of source image "1200"
data:attributes:source_height nullable integer height of source image "800"
data:attributes:search_background nullable boolean whether background of thumbnail is the search color "true"
data:attributes:frame_count integer number of frames in turntable "36"

Upload response schema

Upload response schema

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "1EXAMPLE-1111-AAAA-1111-AAAAAEXAMPLE"
data:type string entity type "upload"
data:attributes:upload_key string key for S3 file in upload bucket "user_prefix_folder/file.txt"
data:attributes:status string Status of upload "pending"
data:attributes:message nullable string Reason for failure "file not found"
data:attributes:file_id nullable integer File ID assigned to processed file "123456"
data:attributes:image_width nullable integer Image width if file is a supported image "123456"
data:attributes:image_height nullable integer Image height if file is a supported image "123456"

UploadCredential response schema

UploadCredential response schema

Attributes

Name Type Description Example
data:id uuid unique identifier of entity "1EXAMPLE-1111-AAAA-1111-AAAAAEXAMPLE"
data:type string entity type "upload_credential"
data:attributes:key_prefix string key prefix in S3 bucket "user_prefix_folder/"
data:attributes:access_key string S3 access key "access_key"
data:attributes:secret_key string S3 secret key "secret_key"
data:attributes:session_token string S3 session token "session_token"
data:attributes:bucket string S3 bucket "upload_bucket_name"
data:attributes:expiration date-time expiration "2016-08-10T20:22:50.000Z"
data:attributes:region string S3 region "us-east-1"